Bug 230278 - devel/binutils: Plist contains files that aren't present.
Summary: devel/binutils: Plist contains files that aren't present.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: John Baldwin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-02 00:20 UTC by Andrey Cherkashin
Modified: 2018-08-20 12:29 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (bapt)


Attachments
fix plist (990 bytes, text/plain)
2018-08-02 00:20 UTC, Andrey Cherkashin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Cherkashin 2018-08-02 00:20:31 UTC
Created attachment 195738 [details]
fix plist

https://svnweb.freebsd.org/ports/head/devel/binutils/Makefile?annotate=476186&pathrev=476186#l156  Borked the build.

Patch fixes it.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2018-08-02 03:57:29 UTC
Over to committer of r476186.
Comment 2 John Baldwin freebsd_committer freebsd_triage 2018-08-02 15:24:33 UTC
Patch looks correct.  It seems the port was not removing these manpages that should have been removed before.  bapt@ is the maintainer so should probably approve it though.
Comment 3 John Baldwin freebsd_committer freebsd_triage 2018-08-03 15:54:40 UTC
Antoine already reverted the commit, but I'll include a fixed plist when I reapply it.
Comment 4 commit-hook freebsd_committer 2018-08-20 09:18:46 UTC
A commit references this bug:

Author: jhb
Date: Mon Aug 20 09:17:46 UTC 2018
New revision: 477638
URL: https://svnweb.freebsd.org/changeset/ports/477638

Log:
  Cleanup packing lists.

  - Use BUREMOVE to strip binutils tools not installed by the base/binutils
    package.
  - Update BUREMOVE logic in devel/binutils to cope with the base package
    which installs tools without a BUTARGET- prefix.
  - Use MANPREFIX for BUREMOVE to handle the PREFIX=/usr case used by
    base/binutils.
  - Remove binutils headers and libraries explicitly from the staging area
    for base/binutils.
  - Add missing plist entries for binutils binaries installed under a
    BUTARGET subdirectory.
  - Drop plist entries from devel/binutils that are now properly removed.
    Previously the binaries for Windows tools like dlltool were removed
    from the staging area but the manpages were still left in the package.
  - Bump PORTREVISION.

  This is a recommit of r476186 but with the update to the pkg-plist of
  devel/binutils and PORTREVISION bump.

  PR:		230278
  Reviewed by:	antoine
  Differential Revision:	https://reviews.freebsd.org/D16582

Changes:
  head/base/binutils/Makefile
  head/base/binutils/pkg-plist
  head/devel/binutils/Makefile
  head/devel/binutils/pkg-plist